%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  AHPtools
%global packver   1.0.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.1
Release:          1%{?dist}%{?buildtag}
Summary:          Consistency in the Analytic Hierarchy Process

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch
BuildRequires:    R-CRAN-readxl 
BuildRequires:    R-CRAN-data.tree 
Requires:         R-CRAN-readxl 
Requires:         R-CRAN-data.tree 

%description
An integrated set of functions for building, analyzing, and visualizing
Analytic Hierarchy Process (AHP) models, designed to support structured
decision-making in consultancy, policy analysis, and research (Bose 2022
<doi:10.1002/mcda.1784>; Bose 2023 <doi:10.1002/mcda.1821>). In addition
to tools for assessing and improving the consistency of pairwise
comparison matrices (PCMs), the package supports full-hierarchy weight
computation, intuitive tree-based visualization, sensitivity analysis,
along with convenient PCM generation from user preferences.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
